/* External CSS */
body {
	background-color: lightblue;
}

p {
	background-color: lightcoral;
	font-size: 50px;
}

span {
	color: darkgreen;
	background-color: lightpink;
}


/* CSS Selectors  */

/* ID Selectors - uses hash or pound # symbol to call out ID*/

#greeting {
	color: red;
	font-size: 10px;
}

/* CLASS Selectors - uses the dot or period . to call out a class*/

.welcome {
	color:  teal;
	letter-spacing: 5px;
}

/* ATTRIBUTE Selectors - [ ] symbol*/

[type="text"]{
	background-color: orange;
}

/* TYPE Selector - simply uses tag name of the element */

section	{
	font-size: 32px;
	/*text-align: right;*/ /* covers 100% width of the we page */
	/*float: right;*/
}

/* UNIVERSAL Selector - uses the asterisk * to call out a universal element */
* {
	margin: 0;
	padding: 0;
}

/* CSS Selector Combinators */

/* Descendant selector (white space) */

	/*div p {
		background-color: red;
	}
	*/

/*#parent section p {
	background-color: red;
}
*/
/* Child selector > */

/*#parent > p {
	background-color: blue;
}
*/
/* General Sibling Selector ~ */

/*p ~ p {
	background-color: grey;
}
*/
/* Adjacent Sibling Selector + */

p + p {
	background-color: grey;
}

